Bug 224045 - audio/beets: version bump to 1.4.5 (patch).
Summary: audio/beets: version bump to 1.4.5 (patch).
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-03 01:35 UTC by Alexandre C. Guimarães
Modified: 2017-12-14 16:15 UTC (History)
1 user (show)

See Also:
silb: maintainer-feedback+


Attachments
Updating to 1.4.5. (2.65 KB, patch)
2017-12-03 01:35 UTC, Alexandre C. Guimarães
no flags Details | Diff
Minor fix in the patch. (2.64 KB, patch)
2017-12-03 01:37 UTC, Alexandre C. Guimarães
no flags Details | Diff
Upgrade Beets from 1.4.2 to 1.4.5 (4.62 KB, patch)
2017-12-04 23:08 UTC, Stig Inge Lea Bjørnsen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre C. Guimarães freebsd_committer 2017-12-03 01:35:10 UTC
Created attachment 188481 [details]
Updating to 1.4.5.

Hi.

The patch does:

* update to version 1.4.5
* do some alphabetizing
* add NO_ARCH

Thanks!
Comment 1 Alexandre C. Guimarães freebsd_committer 2017-12-03 01:37:31 UTC
Created attachment 188482 [details]
Minor fix in the patch.
Comment 2 Stig Inge Lea Bjørnsen 2017-12-04 23:08:41 UTC
Created attachment 188533 [details]
Upgrade Beets from 1.4.2 to 1.4.5

I'm attaching a patch built atop the previous patch. This patch contains new options and more accurate dependencies.

The patch does not pass portlint due to warnings like:

  WARN: Makefile: no port directory /usr/ports/audio/py-mutagen@py27 found, even though it is listed in RUN_DEPENDS.

Which seems to be related to the new FLAVOR support for Python packages.

But I have manually done basic testing of Beets 1.4.5 using Poudriere in amd64
jails for 11.1-RELEASE-p5 (with all options) and 10.3-RELEASE-p25 (with no options).

The dependency changes originate from the changelogs [1][2][3].

I have also obtained dependency changes by cloning the source code [4] and diffing them:
  git diff v1.4.2 v1.4.5 setup.py

There is a new plugin [5] that does not have any port option since it requires the
 'streaming_extractor_music' binary unavailable in the ports tree

For a complete list of changes, see the changelogs [1][2][3].

[1] http://docs.beets.io/en/v1.4.3/changelog.html
[2] http://docs.beets.io/en/v1.4.4/changelog.html
[3] http://docs.beets.io/en/v1.4.5/changelog.html
[4] https://github.com/beetbox/beets
[5] http://docs.beets.io/en/v1.4.3/plugins/absubmit.html
Comment 3 commit-hook freebsd_committer 2017-12-14 16:15:16 UTC
A commit references this bug:

Author: swills
Date: Thu Dec 14 16:14:42 UTC 2017
New revision: 456305
URL: https://svnweb.freebsd.org/changeset/ports/456305

Log:
  audio/beets: update to 1.4.5

  PR:		224045
  Submitted by:	Stig Inge Lea Bj?rnsen <stiginge@pvv.org> (maintainer)
  Reported by:	Le Baron d'Merde <lbdm@privacychain.ch>

Changes:
  head/audio/beets/Makefile
  head/audio/beets/distinfo
Comment 4 Steve Wills freebsd_committer 2017-12-14 16:15:47 UTC
Committed, thanks!